Delete a Credential for a user
curl --request DELETE \
--url https://production.runalloy.com/users/{userId}/credentials/{credentialId} \
--header 'Authorization: <authorization>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/users/{userId}/credentials/{credentialId}"
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};
fetch('https://production.runalloy.com/users/{userId}/credentials/{credentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Credentials
Delete a Credential for a user
To delete a credential via the API, you need to invoke the below endpoint.
DELETE
/
users
/
{userId}
/
credentials
/
{credentialId}
Delete a Credential for a user
Headers
The version of the API to use. The current API version is 2025-09.
Path Parameters
The credential you're looking to delete
The Id of the user associated with this credential
Response
200 - application/json
200
Example:
true
⌘I

